Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Andrey Orst <[email-masked]>
Date: Wed, 16 Oct 2019 16:33:08 +0300

> In any case maybe we need to add a recommendation in NEWS about how to
> update.

This would be nice to have, because some old packages may not receive
updates
and users would have to deal with it.

On Wed, Oct 16, 2019 at 4:18 PM Ergus <[email-masked]> wrote:
>
> Yes, internally it won't produce any issue (I am using it since I
> implemented it the first time), but some external packages will need to
> update some of their faces...; and others could remove some of the hacks
> they implemented to emulate the functionality this change provides.
>
> Do we have something in defface that we can "recommend" to conditionally
> specify this attribute when version >= 27 only (maybe a syntax sugar)?
>
> In any case maybe we need to add a recommendation in NEWS about how to
> update.
>
> On Wed, Oct 16, 2019 at 02:42:09PM +0300, Eli Zaretskii wrote:
> >> Date: Wed, 16 Oct 2019 13:10:04 +0200
> >> From: Ergus <[email-masked]>
> >> Cc: Andrey Orst <[email-masked]>, [email-masked]
> >>
> >> I have seen these reports and also the ones in reddit. Do you think
that
> >> we should/must/can do anything about?
> >
> >Maybe, I'm not yet sure I understand the magnitude of the problem.
> >Let's see where this discussion leads us.

--
Best regards,
Andrey Orst